package com.yunzhi.liyuanhui.entity;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import lombok.Data;

import java.util.Date;

@Data
public class RecommendExport {

    @ColumnWidth(30)
    @ExcelProperty(value = "时间", index = 1)
    private Date createDate;

    @ColumnWidth(20)
    @ExcelProperty(value = "手机", index = 2)
    private String phone;

    @ColumnWidth(20)
    @ExcelProperty(value = "名称", index = 3)
    private String name;

    @ExcelProperty(value = "性别", index = 4)
    private String sex;

    @ColumnWidth(50)
    @ExcelProperty(value = "备注", index = 5)
    private String remark;

    @ColumnWidth(20)
    @ExcelProperty(value = "推荐人手机", index = 6)
    private String recPhone;

    @ColumnWidth(20)
    @ExcelProperty(value = "推荐人名称", index = 7)
    private String recName;

    @ColumnWidth(15)
    @ExcelProperty(value = "审核状态", index = 8)
    private String status;
}
